diff -u --recursive --new-file pp-6.0/Tools/nsapexpand/make pp-6.0-linux/Tools/nsapexpand/make
--- pp-6.0/Tools/nsapexpand/make	Wed Aug 21 07:52:28 1991
+++ pp-6.0-linux/Tools/nsapexpand/make	Tue Aug 31 09:56:23 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/ntail/make pp-6.0-linux/Tools/ntail/make
--- pp-6.0/Tools/ntail/make	Wed Aug 21 07:52:31 1991
+++ pp-6.0-linux/Tools/ntail/make	Tue Aug 31 09:55:28 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/ppbm/make pp-6.0-linux/Tools/ppbm/make
--- pp-6.0/Tools/ppbm/make	Mon Nov 25 11:46:23 1991
+++ pp-6.0-linux/Tools/ppbm/make	Tue Aug 31 09:57:11 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/ppls/make pp-6.0-linux/Tools/ppls/make
--- pp-6.0/Tools/ppls/make	Wed Aug 21 07:52:25 1991
+++ pp-6.0-linux/Tools/ppls/make	Tue Aug 31 09:57:06 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/probe/make pp-6.0-linux/Tools/probe/make
--- pp-6.0/Tools/probe/make	Wed Aug 21 07:52:28 1991
+++ pp-6.0-linux/Tools/probe/make	Tue Aug 31 09:56:27 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/splat/make pp-6.0-linux/Tools/splat/make
--- pp-6.0/Tools/splat/make	Wed Aug 21 07:52:31 1991
+++ pp-6.0-linux/Tools/splat/make	Tue Aug 31 09:55:32 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/statgen/make pp-6.0-linux/Tools/statgen/make
--- pp-6.0/Tools/statgen/make	Wed Aug 21 07:52:27 1991
+++ pp-6.0-linux/Tools/statgen/make	Tue Aug 31 09:56:32 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/tables/abbrev/make pp-6.0-linux/Tools/tables/abbrev/make
--- pp-6.0/Tools/tables/abbrev/make	Wed Aug 21 07:52:30 1991
+++ pp-6.0-linux/Tools/tables/abbrev/make	Tue Aug 31 09:55:53 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/tables/compat/make pp-6.0-linux/Tools/tables/compat/make
--- pp-6.0/Tools/tables/compat/make	Wed Aug 21 07:52:28 1991
+++ pp-6.0-linux/Tools/tables/compat/make	Tue Aug 31 09:56:05 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/tables/domain/make pp-6.0-linux/Tools/tables/domain/make
--- pp-6.0/Tools/tables/domain/make	Tue Sep 10 15:39:41 1991
+++ pp-6.0-linux/Tools/tables/domain/make	Tue Aug 31 09:56:18 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/tables/make pp-6.0-linux/Tools/tables/make
--- pp-6.0/Tools/tables/make	Wed Aug 21 07:52:28 1991
+++ pp-6.0-linux/Tools/tables/make	Tue Aug 31 09:56:14 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/tables/pp-rfc987/make pp-6.0-linux/Tools/tables/pp-rfc987/make
--- pp-6.0/Tools/tables/pp-rfc987/make	Wed Aug 21 07:52:29 1991
+++ pp-6.0-linux/Tools/tables/pp-rfc987/make	Tue Aug 31 09:55:57 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/tables/rfc987-pp/make pp-6.0-linux/Tools/tables/rfc987-pp/make
--- pp-6.0/Tools/tables/rfc987-pp/make	Wed Aug 21 07:52:29 1991
+++ pp-6.0-linux/Tools/tables/rfc987-pp/make	Tue Aug 31 09:56:09 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Tools/tables/tjoin/make pp-6.0-linux/Tools/tables/tjoin/make
--- pp-6.0/Tools/tables/tjoin/make	Wed Aug 21 07:52:29 1991
+++ pp-6.0-linux/Tools/tables/tjoin/make	Tue Aug 31 09:56:01 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Uip/mail/make pp-6.0-linux/Uip/mail/make
--- pp-6.0/Uip/mail/make	Wed Aug 21 07:52:45 1991
+++ pp-6.0-linux/Uip/mail/make	Tue Aug 31 09:51:44 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Uip/make pp-6.0-linux/Uip/make
--- pp-6.0/Uip/make	Wed Aug 21 07:52:44 1991
+++ pp-6.0-linux/Uip/make	Tue Aug 31 09:52:24 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Uip/misc/make pp-6.0-linux/Uip/misc/make
--- pp-6.0/Uip/misc/make	Wed Aug 21 07:52:44 1991
+++ pp-6.0-linux/Uip/misc/make	Tue Aug 31 09:52:17 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Uip/rcvalert/make pp-6.0-linux/Uip/rcvalert/make
--- pp-6.0/Uip/rcvalert/make	Wed Aug 21 07:52:45 1991
+++ pp-6.0-linux/Uip/rcvalert/make	Tue Aug 31 09:51:49 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Uip/rcvtrip/make pp-6.0-linux/Uip/rcvtrip/make
--- pp-6.0/Uip/rcvtrip/make	Wed Aug 21 07:52:45 1991
+++ pp-6.0-linux/Uip/rcvtrip/make	Tue Aug 31 09:51:39 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Uip/resend/make pp-6.0-linux/Uip/resend/make
--- pp-6.0/Uip/resend/make	Wed Aug 21 07:52:44 1991
+++ pp-6.0-linux/Uip/resend/make	Tue Aug 31 09:52:04 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/Uip/sendmail/make pp-6.0-linux/Uip/sendmail/make
--- pp-6.0/Uip/sendmail/make	Wed Aug 21 07:52:44 1991
+++ pp-6.0-linux/Uip/sendmail/make	Tue Aug 31 09:51:54 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/config/linux.h pp-6.0-linux/config/linux.h
--- pp-6.0/config/linux.h	Thu Jan  1 01:00:00 1970
+++ pp-6.0-linux/config/linux.h	Wed Jan  5 16:21:03 1994
@@ -0,0 +1,34 @@
+#ifndef _H_CONFIG
+#define _H_CONFIG
+
+#ifndef __linux__
+#define         __linux__            /* No, we shouldn't have to do this! */
+#endif
+
+/* We have GNU DBM. Plus everything is compiled with gcc so we don't
+ * need to worry about pcc structure return compatibility hacks.
+ */
+#define         GDBM
+#define		GCC_DBM_OK
+
+/* define the following if you require BIND nameserver support for SMTP */
+#define NAMESERVER
+
+#define PP_DEBUG_ALL    2
+#define PP_DEBUG_SOME   1
+#define PP_DEBUG_NONE   0
+
+#define PP_DEBUG PP_DEBUG_ALL
+
+#define HAS_FSYNC
+#define VAT
+#define SETSID
+
+
+/*
+ * define the following if  you require user tools to use uk domain ordering 
+ * by default
+ * #define UKORDER
+ */
+
+#endif
diff -u --recursive --new-file pp-6.0/config/linux.make pp-6.0-linux/config/linux.make
--- pp-6.0/config/linux.make	Thu Jan  1 01:00:00 1970
+++ pp-6.0-linux/config/linux.make	Thu Jul 14 15:58:54 1994
@@ -0,0 +1,181 @@
+# Default Configuration values for other Makefiles
+#
+# You should look through all of them, but in particular lines the first
+# too sections.
+#	Tailor this		May need to be tailored to your system
+#	Check this		Ensure that this is OK
+#
+# NOTE: SUN MAKE AND SOME NEWER MAKES TOO TAKE OF TRAILING SPACES IN A
+#  MACRO DEFINITION. HENCE YOU SHOULD EITHER REMOVE THE TRAILING COMMENTS
+#  OR MAKE SURE THE COMMENT STARTS DIRECTLY AFTER THE DEFINITION FOR THOSE
+#  MACROS WHERE THIS IS IMPORTANT (e.g pathnames).
+#
+############################################################
+#
+# @(#) $Header: /cs/research/pp/hubris/pp-beta/config/RCS/Make.defs.dist,v 5.0 90/09/20 16:35:18 pp Exp Locker: pp $
+#
+# $Log:	Make.defs.dist,v $
+# Revision 5.0  90/09/20  16:35:18  pp
+# rcsforce : 5.0 public release
+# 
+#
+############################################################
+#
+
+############################################################
+#
+# Things you really should tailor
+#
+############################################################
+
+# List of channels that you may require. Choose from those in the
+# Chans/ directory. Each should be a directory name within Chans.
+OPTIONALCHANS	= shell lists 822-local slocal smtp uucp x40084 x40088
+# If fax defined - give type
+#FAXDRIVERS = dexNet200 # or ps250 ...
+#size of page to produce when converting to g3fax encoding
+#not defined produces US size pages 216 mm by 273 mm (width, height)
+#-DA4 produces A4 size pages 210mm by 297mm
+FAXPAGESIZE = -DA4
+
+# Optional filters
+OPTIONALFILTERS =
+
+# This is the external libraries required by all programs. 
+# Should include isode at the least. dbm maybe also.
+LIBSYS          = -L/usr/Isode/lib -lpatch -ldsap -lisode -lshadow -ldbm -lm # -ldxmalloc
+# For SYS5 also need -lsocket -lnsl -lgen
+
+
+# Compilation things.
+# C compiler, cc or gcc.
+CC              = cc $(JUMP_OPT)
+# suns cc if using gcc on sparc
+OLDCC		= $(CC)
+CCOPTIONS       = -O6 -m486 -pipe -fwritable-strings -D_scandir=scandir
+LIBCCOPTIONS	= $(CCOPTIONS)
+LDOPTIONS       = -s -Wl,-qmagic
+
+
+############################################################
+#
+# These things may need changing
+#
+############################################################
+
+# The PP base directory from private binaries et al.
+PPDIR		= /usr/lib/pp
+
+
+# A private directory for host specific files - set to PPDIR if you
+# are not sharing things.
+PRIDIR		= $(PPDIR)
+
+
+# The spool directory for mail.
+SPLDIR		= /usr/spool/pp
+
+
+# The base directory for Manual pages /usr/man or /usr/local/man or similar
+MANDIR          = /usr/man
+# options for installing manual pages...
+# includes -bsd42 -bsd44 -ros -sys5 -aix -local -l -hpux
+# see script man/inst-man.sh for more details
+MANOPTS		= -bsd42
+
+# The public access binary directory.
+USRBINDIR	= /usr/local/bin
+
+
+# The username to install PP binaries under
+PPUSER		= mail
+
+
+# Do you have X11 installed? Leave blank otherwise
+X11		= true
+#The X libraries. May need -lXext for X11R4
+LIBX		= -L/usr/X386/lib -lXaw -lXmu -lXext -lXt -lX11
+# The applications default directory
+APPDEFAULTS     = /usr/X386/lib/X11/app-defaults
+
+
+# SMTP DNS support - either empty or the resolver library
+LIBRESOLV	=
+
+# Photo support
+#LIBPHOTO	= /usr/local/lib/libphoto.a
+
+
+# These commands have a habit of moving around
+CHOWN		= chown
+CHMOD		= chmod
+
+
+
+# If grey book is defined - these need to be correct - otherwise ignore
+# Niftp src directory - niftp should be built beforehand.
+NIFTPSRC	= /usr/src/local/niftp
+# The niftp interface in use.
+NIFTPINTERFACE	= sun
+
+############################################################
+#
+# These things are probably OK as they are...
+#
+############################################################
+
+MAKE		= ./make
+SHELL		= /bin/sh
+
+TXTDIR		= $(PPDIR)
+PRIDIR		= $(PPDIR)
+#
+#  These are all sub dirs
+TAILOR		= $(PRIDIR)/tailor
+BINDIR          = $(PPDIR)/bin
+CMDDIR          = $(PPDIR)/cmds
+TBLDIR          = $(TXTDIR)/tables
+LOGDIR          = $(SPLDIR)/logs
+QUEDIR		= $(SPLDIR)/queues
+CHANDIR         = $(CMDDIR)/chans
+FORMDIR         = $(CMDDIR)/format
+TOOLDIR		= $(CMDDIR)/tools
+
+# ISODE dependencies
+PEPY            = pepy
+PYFLAGS         =
+ROSY		= rosy
+RYFLAGS		=
+POSY		= posy
+POFLAGS		=
+PEPSY		= pepsy
+PEPSYHDRS	= /usr/Isode/include/isode/pepsy
+# Other Libraries and programs
+
+# Archive Configuration
+AR              = ar
+ARFLAGS         =
+RANLIB          = ranlib
+# SYS5 has no ranlib - replace with echo
+
+# Lint Config
+LINT            = lint
+LINTFLAGS       = -haxbc
+
+# program protections?
+PGMPROT         = 755
+ROOTUSER	= root
+
+# Other things
+BACKUP		= cp
+INSTALL		= cp
+
+# Documentation support
+LATEX           = latex
+TGRIND          = tgrind
+GRINDEFS        = grindefs
+WEAVE           = weave
+DVI2PS          = dvi2ps
+DVIIMP          = dviimp
+DVISP           = dvisp
+DFLAGS          =
diff -u --recursive --new-file pp-6.0/doc/funet91/make pp-6.0-linux/doc/funet91/make
--- pp-6.0/doc/funet91/make	Wed Sep 18 08:34:37 1991
+++ pp-6.0-linux/doc/funet91/make	Fri Aug 27 15:12:24 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/doc/ifip6.5-88/make pp-6.0-linux/doc/ifip6.5-88/make
--- pp-6.0/doc/ifip6.5-88/make	Wed Aug 21 07:52:43 1991
+++ pp-6.0-linux/doc/ifip6.5-88/make	Fri Aug 27 15:12:30 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/doc/make pp-6.0-linux/doc/make
--- pp-6.0/doc/make	Wed Aug 21 07:52:42 1991
+++ pp-6.0-linux/doc/make	Fri Aug 27 15:12:05 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/doc/manual/Makefile pp-6.0-linux/doc/manual/Makefile
--- pp-6.0/doc/manual/Makefile	Tue Dec 17 16:14:35 1991
+++ pp-6.0-linux/doc/manual/Makefile	Fri Aug 27 15:11:05 1993
@@ -32,6 +32,6 @@
 		do (echo "cd $$x; $(MAKE) $@"; cd $$x ; $(MAKE) $@ ); done
 		rm -f core *.old *.BAK
 
-define depend lint install:;
+xdefine depend lint install:;
 
 true:
diff -u --recursive --new-file pp-6.0/doc/manual/volume0/make pp-6.0-linux/doc/manual/volume0/make
--- pp-6.0/doc/manual/volume0/make	Tue Sep 11 11:38:05 1990
+++ pp-6.0-linux/doc/manual/volume0/make	Fri Aug 27 15:13:38 1993
@@ -2,10 +2,8 @@
 
 if [ -f ../../../Make.defs ]
 then
-	PATH=/usr/ucb:/bin:/usr/bin exec \
 		make -f ../../../Make.defs -f Makefile ${1+"$@"}
 else
-	PATH=/usr/ucb:/bin:/usr/bin exec \
 		make -f ../Make.defs -f Makefile ${1+"$@"}
 fi
 
diff -u --recursive --new-file pp-6.0/doc/manual/volume1/make pp-6.0-linux/doc/manual/volume1/make
--- pp-6.0/doc/manual/volume1/make	Thu Nov 23 14:23:35 1989
+++ pp-6.0-linux/doc/manual/volume1/make	Fri Aug 27 15:13:47 1993
@@ -2,10 +2,8 @@
 
 if [ -f ../../../Make.defs ]
 then
-	PATH=/usr/ucb:/bin:/usr/bin exec \
 		make -f ../../../Make.defs -f Makefile ${1+"$@"}
 else
-	PATH=/usr/ucb:/bin:/usr/bin exec \
 		make -f ../Make.defs -f Makefile ${1+"$@"}
 fi
 
diff -u --recursive --new-file pp-6.0/doc/manual/volume2/make pp-6.0-linux/doc/manual/volume2/make
--- pp-6.0/doc/manual/volume2/make	Thu Nov 23 14:46:32 1989
+++ pp-6.0-linux/doc/manual/volume2/make	Fri Aug 27 15:13:51 1993
@@ -2,10 +2,8 @@
 
 if [ -f ../../../Make.defs ]
 then
-	PATH=/usr/ucb:/bin:/usr/bin exec \
 		make -f ../../../Make.defs -f Makefile ${1+"$@"}
 else
-	PATH=/usr/ucb:/bin:/usr/bin exec \
 		make -f ../Make.defs -f Makefile ${1+"$@"}
 fi
 
diff -u --recursive --new-file pp-6.0/doc/manual/volume3/make pp-6.0-linux/doc/manual/volume3/make
--- pp-6.0/doc/manual/volume3/make	Thu Nov 23 14:24:01 1989
+++ pp-6.0-linux/doc/manual/volume3/make	Fri Aug 27 15:13:55 1993
@@ -2,10 +2,8 @@
 
 if [ -f ../../../Make.defs ]
 then
-	PATH=/usr/ucb:/bin:/usr/bin exec \
 		make -f ../../../Make.defs -f Makefile ${1+"$@"}
 else
-	PATH=/usr/ucb:/bin:/usr/bin exec \
 		make -f ../Make.defs -f Makefile ${1+"$@"}
 fi
 
diff -u --recursive --new-file pp-6.0/doc/nordunet/make pp-6.0-linux/doc/nordunet/make
--- pp-6.0/doc/nordunet/make	Wed Sep 18 08:34:45 1991
+++ pp-6.0-linux/doc/nordunet/make	Fri Aug 27 15:12:46 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/doc/sun-89/make pp-6.0-linux/doc/sun-89/make
--- pp-6.0/doc/sun-89/make	Wed Sep 18 08:34:48 1991
+++ pp-6.0-linux/doc/sun-89/make	Fri Aug 27 15:12:53 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/doc/tailor/make pp-6.0-linux/doc/tailor/make
--- pp-6.0/doc/tailor/make	Wed Aug 21 07:52:43 1991
+++ pp-6.0-linux/doc/tailor/make	Fri Aug 27 15:12:58 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/doc/uknet90/make pp-6.0-linux/doc/uknet90/make
--- pp-6.0/doc/uknet90/make	Wed Sep 18 08:34:51 1991
+++ pp-6.0-linux/doc/uknet90/make	Fri Aug 27 15:13:03 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/doc/unix-niftp/make pp-6.0-linux/doc/unix-niftp/make
--- pp-6.0/doc/unix-niftp/make	Thu Sep 19 13:27:39 1991
+++ pp-6.0-linux/doc/unix-niftp/make	Fri Aug 27 15:13:09 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/examples/INTERNET/make pp-6.0-linux/examples/INTERNET/make
--- pp-6.0/examples/INTERNET/make	Wed Aug 21 07:52:24 1991
+++ pp-6.0-linux/examples/INTERNET/make	Tue Aug 31 09:57:33 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/examples/JANET/make pp-6.0-linux/examples/JANET/make
--- pp-6.0/examples/JANET/make	Wed Aug 21 07:52:24 1991
+++ pp-6.0-linux/examples/JANET/make	Tue Aug 31 09:57:29 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/examples/LOCALSMTP/make pp-6.0-linux/examples/LOCALSMTP/make
--- pp-6.0/examples/LOCALSMTP/make	Wed Aug 21 07:52:24 1991
+++ pp-6.0-linux/examples/LOCALSMTP/make	Tue Aug 31 09:57:24 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/examples/make pp-6.0-linux/examples/make
--- pp-6.0/examples/make	Wed Aug 21 07:52:24 1991
+++ pp-6.0-linux/examples/make	Tue Aug 31 09:57:38 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/examples/master/make pp-6.0-linux/examples/master/make
--- pp-6.0/examples/master/make	Wed Aug 21 07:52:25 1991
+++ pp-6.0-linux/examples/master/make	Tue Aug 31 09:57:15 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/examples/xtel/make pp-6.0-linux/examples/xtel/make
--- pp-6.0/examples/xtel/make	Wed Aug 21 07:52:25 1991
+++ pp-6.0-linux/examples/xtel/make	Tue Aug 31 09:57:20 1993
@@ -1,2 +1,2 @@
 #! /bin/sh
-PATH=/usr/ucb:/bin:/usr/bin exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
+exec ${MAKECMD-make} -f ../../Make.defs -f Makefile ${1+"$@"}
diff -u --recursive --new-file pp-6.0/h/sys.file.h pp-6.0-linux/h/sys.file.h
--- pp-6.0/h/sys.file.h	Wed Dec 18 20:42:57 1991
+++ pp-6.0-linux/h/sys.file.h	Wed Sep 15 17:12:18 1993
@@ -29,9 +29,9 @@
 #include <sys/ioctl.h>
 #endif
 
-#ifdef  BSD42
+#if defined(BSD42) || defined(__linux__)
 #include <sys/file.h>
-#else    
+#else
 #ifdef  SYS5
 #include <fcntl.h>
 #else
diff -u --recursive --new-file pp-6.0/jump/Makefile pp-6.0-linux/jump/Makefile
--- pp-6.0/jump/Makefile	Thu Jan  1 01:00:00 1970
+++ pp-6.0-linux/jump/Makefile	Fri Jul  8 14:01:46 1994
@@ -0,0 +1,26 @@
+IMAGE=		libpp
+VERSION=	6.0
+ADDRESS=	0x64000000
+JUMPSIZE=	0x4000
+GOTSIZE=	0x1000
+
+
+all:		image stubs
+
+install:
+		ln -f libpp.sa ../Lib/libpp.a
+
+image:
+		/usr/dll/bin/mkimage -l $(IMAGE) -v $(VERSION) \
+			-a $(ADDRESS) -j $(JUMPSIZE) -g $(GOTSIZE) \
+			-- \
+			libpp.a \
+			-L/usr/Isode/lib \
+			-lftam -ldsap -lisode \
+			-lcurses -ltermcap -ldbm -lc -lm `gcc --print` -lc
+
+stubs:
+		/usr/dll/bin/mkstubs -l $(IMAGE) -v $(VERSION) \
+			-a $(ADDRESS) -j $(JUMPSIZE) -g $(GOTSIZE) \
+			-- \
+			libpp
